/* eslint-disable no-magic-numbers */

import { planFuelings } from './solver.js';

import fuelingImage from './images/fueling.svg';
import styles from './solution.module.css';

function formatSolution(solution) {
  return solution.map((index) => String.fromCodePoint('a'.codePointAt(0) + index)).join(', ');
}

const GAPS = [5, 3, 3, 8, 3, 2, 2, 4];
const RANGE = 10;

export function Solution() {
  const solution = planFuelings(GAPS, RANGE);
  return (
    <div>
      <figure className={styles.diagram} >
        <img src={fuelingImage} alt="A weighted directed graph corresponding to the fueling problem." />
      </figure>
      <label>
        Chosen Fueling Points: <output>{formatSolution(solution)}</output>
      </label>
    </div>
  );
}
